xgboost

Public Member Functions | List of all members
xgboost::common::Index Struct Reference

`#include <hist_util.h>`

Collaboration diagram for xgboost::common::Index:

## Public Member Functions
| Index ()
| Index (const Index &i)=delete
Index & | operator= (Index i)=delete
| Index (Index &&i)=delete
Index & | operator= (Index &&i)=delete
uint32_t | operator[] (size_t i) const
void | SetBinTypeSize (BinTypeSize binTypeSize)
BinTypeSize | GetBinTypeSize () const
template<typename T >
T * | data () const
uint32_t * | Offset () const
size_t | OffsetSize () const
size_t | Size () const
void | Resize (const size_t nBytesData)
void | ResizeOffset (const size_t nDisps)
std::vector< uint8_t >::const_iterator | begin () const
std::vector< uint8_t >::const_iterator | end () const

## Constructor & Destructor Documentation

## ◆ Index() [1/3]

xgboost::common::Index::Index | ( |  | ) |
| inline

## ◆ Index() [2/3]

xgboost::common::Index::Index | ( | const Index & | i | ) |
| delete

## ◆ Index() [3/3]

xgboost::common::Index::Index | ( | Index && | i | ) |
| delete

## Member Function Documentation

## ◆ begin()

std::vector<uint8_t>::const_iterator xgboost::common::Index::begin | ( |  | ) | const
| inline

## ◆ data()

template<typename T >

T* xgboost::common::Index::data | ( |  | ) | const
| inline

## ◆ end()

std::vector<uint8_t>::const_iterator xgboost::common::Index::end | ( |  | ) | const
| inline

## ◆ GetBinTypeSize()

BinTypeSize xgboost::common::Index::GetBinTypeSize | ( |  | ) | const
| inline

## ◆ Offset()

uint32_t* xgboost::common::Index::Offset | ( |  | ) | const
| inline

## ◆ OffsetSize()

size_t xgboost::common::Index::OffsetSize | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

Index& xgboost::common::Index::operator= | ( | Index | i | ) |
| delete

## ◆ operator=() [2/2]

Index& xgboost::common::Index::operator= | ( | Index && | i | ) |
| delete

## ◆ operator[]()

uint32_t xgboost::common::Index::operator[] | ( | size_t | i | ) | const
| inline

## ◆ Resize()

void xgboost::common::Index::Resize | ( | const size_t | nBytesData | ) |
| inline

## ◆ ResizeOffset()

void xgboost::common::Index::ResizeOffset | ( | const size_t | nDisps | ) |
| inline

## ◆ SetBinTypeSize()

void xgboost::common::Index::SetBinTypeSize | ( | BinTypeSize | binTypeSize | ) |
| inline

## ◆ Size()

size_t xgboost::common::Index::Size | ( |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- /workspace/src/common/hist_util.h